Subject: Re: mouse-2 in vc-directory on filename

From: Stefan Monnier <[email-masked]>
Date: Sat, 25 Oct 2008 22:20:42 -0400

>> In vc-directory, mouse-2 on a toggles the mark.  This is unintuitive
>> and inconsistent with with PCL-CVS and Emacs general use of mouse-2 to
>> link to something else.  It should visit the file at that point in
>> another buffer.

> Does anyone object?

Not PCL-CVS's author.  Mouse-clicks on various parts don't all have
a clear meaning (IIRC PCL-CVS interprets a mouse click on the status
word as toggle-the-mark, which is not necessarily such a hot idea), but
on the file name, I think it's pretty uncontroversial.

        Stefan